package blockchain
import (
    "fmt"
)
// GetPkiWeight query the chaincode to get the state of pkiValuet
func (setup *FabricSetup) GetPkiValue(botId string, pkiId string) (string, error) {
	pV, err := setup.getPkiStateByName("pkiValue", botId, pkiId)
	if err != nil {
		return "", fmt.Errorf("failed to query GetPkiValue: %v", err)
	}
	return pV, nil
}