package blockchain
import (
	"fmt"
)
// GetOperationName query the chaincode to get the state of operName
func (setup *FabricSetup) GetOperationName(botId string, procId string, operId string) (string, error) {
	operName, err := setup.getOperStateByName("operName", botId, procId, operId)
	if err != nil {
		return "", fmt.Errorf("failed to query GetOperationName: %v", err)
	}
	return operName, nil
}