package blockchain
import (
    "fmt"
)
// GetOperationPriority query the chaincode to get the state of priority
func (setup *FabricSetup) GetOperationPriority(botId string, procId string, operId string) (string, error) {
	p, err := setup.getOperStateByName("priority", botId, procId, operId)
	if err != nil {
		return "", fmt.Errorf("failed to query GetOperationPriority: %v", err)
	}
	return p, nil
}