package blockchain
import (
    "fmt"
)
// GetOperationResourceLink query the chaincode to get the state of resourceLink
func (setup *FabricSetup) GetOperationResourceLink(botId string, procId string, operId string) (string, error) {
	resLink, err := setup.getOperStateByName("resourceLink", botId, procId, operId)
	if err != nil {
		return "", fmt.Errorf("failed to query GetOperationResourceLink: %v", err)
	}
	return resLink, nil
}