package blockchain
import (
    "fmt"
)
// GetPkiGeneralized query the chaincode to get the state of pkiGeneralized
func (setup *FabricSetup) GetPkiGeneralized(botId string, pkiId string) (bool, error) {
	gString, err := setup.getPkiStateByName("pkiGeneralized", botId, pkiId)
	if err != nil {
		return false, fmt.Errorf("failed to query GetPkiGeneralized: %v", err)
	}
	return (gString == "true"), nil
}