package blockchain
import (
    "fmt"
)
// GetPkiName query the chaincode to get the state of pkiName
func (setup *FabricSetup) GetPkiName(botId string, pkiId string) (string, error) {
	pName, err := setup.getPkiStateByName("pkiName", botId, pkiId)
	if err != nil {
		return "", fmt.Errorf("failed to query GetPkiName: %v", err)
	}
	return pName, nil
}