package blockchain
import (
    "fmt"
)
// GetPkiWeight query the chaincode to get the state of pki weight
func (setup *FabricSetup) GetPkiWeight(botId string, pkiId string) (string, error) {
	pW, err := setup.getPkiStateByName("pkiWeight", botId, pkiId)
	if err != nil {
		return "", fmt.Errorf("failed to query GetPkiWeight: %v", err)
	}
	return pW, nil
}